Skip to main content
GET
/
sales-orders
/
export
Export sales orders (incremental)
curl --request GET \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/export \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "order_id": 1001,
      "order_number": "ORD-2024-001",
      "status": "Active",
      "order_status": "awaiting_shipment",
      "total_amount": 128.23,
      "total_tax": 15.75,
      "total_shipping": 12.5,
      "total_paid": 128.23,
      "customer_id": 42,
      "customer_username": "johndoe",
      "customer_email": "john@example.com",
      "order_date": "2024-01-15",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "items": [
        {
          "order_item_id": 5001,
          "sku": "WIDGET-001",
          "name": "Premium Widget",
          "quantity": 2,
          "price": 49.99,
          "tax": 7.5,
          "quantity_ordered": 2,
          "quantity_shipped": 0,
          "quantity_cancelled": 0,
          "created_at": "2024-01-15T10:30:00Z",
          "updated_at": "2024-01-15T10:30:00Z"
        }
      ],
      "shipments": [],
      "fulfillment_orders": [
        {
          "fulfillment_order_id": 9001,
          "order_number": "ORD-2024-001-A",
          "status": "pending",
          "warehouse_group_id": 3,
          "created_at": "2024-01-15T10:31:00Z",
          "updated_at": "2024-01-15T10:31:00Z"
        }
      ]
    }
  ],
  "next_cursor": "eyJ2IjoxLCJtb2RlIjoiZXhwb3J0In0.abc123",
  "has_more": true,
  "meta": {
    "rows": 1000,
    "cutoff": "2024-01-16T00:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To obtain a token, contact developers@joinluminous.com

Query Parameters

since
string<date-time>

UTC datetime marking the start of the export window. Required when starting a new run. Cannot be combined with cursor.

Example:

"2024-01-01T00:00:00Z"

cursor
string

Signed continuation token from a previous export response. Required when continuing a run. Cannot be combined with since.

Example:

"eyJ2IjoxLCJtb2RlIjoiZXhwb3J0In0.abc123"

limit
integer
default:1000

Maximum number of orders to return per page.

Required range: 1 <= x <= 1000

Response

Successful export page

data
object[]
next_cursor
string | null

Signed cursor token to fetch the next page. Null when the export is complete.

Example:

"eyJ2IjoxLCJtb2RlIjoiZXhwb3J0In0.abc123"

has_more
boolean

Whether more pages exist in this export run.

meta
object